unit Demo2Settings;

interface

uses
{$IFDEF VER120} //  If Delphi 4 then use...
  Windows,
{$ELSE}         //  otherwise use...
  Types,
{$ENDIF}
  PtSettings;

type
  TEmployment = (empNone, empContract, empCasual, empPartTime, empFullTime);
  TEmployments = set of TEmployment;

  TUserSettings = class(TSettingsGroup)
  private
    fAge: integer;
    fName: string;
    fEmployment: TEmployment;
    fEmployments: TEmployments;
  published
    property  Age         : integer       read fAge         write fAge;
    property  Name        : string        read fName        write fName;
    property  Employment  : TEmployment   read fEmployment  write fEmployment;
    property  Employments : TEmployments  read fEmployments write fEmployments;
  end;

  TSettings = class(TSettingsGroup)
  private
    fUser: TUserSettings;
  public
    constructor Create(const AName: string; const AParent: TSettingsGroup = nil);
    property  User: TUserSettings read fUser;
  end;

var
  Settings: TSettings;

implementation

{ TSettings }

constructor TSettings.Create(const AName: string; const AParent: TSettingsGroup);
begin
  inherited;
  fUser := TUserSettings.Create('User', Self);
end;

initialization
  Settings := TSettings.Create( 'Demo2', nil );

finalization
  Settings.Free;

end.
 
