unit Demo3Settings;

interface

uses
  PtSettings;

type
  TPasswordSettings = class(TSettingsGroup)
  private
    fLogin: string;
    fEncrypted: string;
    function  Encrypt(Password: string): string;
  public
    procedure SetPassword(Password: string);
    function  IsValidPassword(Password: string): Boolean;
  published
    property  Login     : string  read fLogin     write fLogin;
    property  Encrypted : string  read fEncrypted write fEncrypted;
  end;

var
  PasswordSettings: TPasswordSettings;
  Storage: ISettingsStorage;

implementation

uses
  PtSettingsIni, Demos, Windows;

procedure Initialize;
begin
  PasswordSettings  := TPasswordSettings.Create( 'Demo3', nil );
  Storage := TIniSettingsStorage.Create(FileName('.ini'));
//  Storage := TRegSettingsStorage.Create( HKEY_LOCAL_MACHINE, '\SOFTWARE\PtSettings' );
  Storage.LoadAll( PasswordSettings );
end;

procedure Finalize;
begin
  Storage.SaveAll( PasswordSettings );
  PasswordSettings.Free;
end;

{ TPasswordSettings }

function TPasswordSettings.Encrypt(Password: string): string;
var
  i : integer;
begin
  for i := 1 to Length(Password)  do
    Password[i] := Succ( Password[i] );
  Result  := Password;
end;

function TPasswordSettings.IsValidPassword(Password: string): Boolean;
begin
  Result  := Encrypt( Password ) = Encrypted;
end;

procedure TPasswordSettings.SetPassword(Password: string);
begin
  fEncrypted  := Encrypt( Password )
end;

initialization
  Initialize;

finalization
  Finalize;

end.
 
