unit FMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TfrmMain = class(TForm)
    chkConnect: TCheckBox;
    butLoad: TButton;
    butSave: TButton;
    panSettings: TGroupBox;
    labText: TLabel;
    edText: TEdit;
    panColour: TPanel;
    butColour: TButton;
    ColorDialog: TColorDialog;
    butExit: TButton;
    procedure butLoadClick(Sender: TObject);
    procedure butSaveClick(Sender: TObject);
    procedure edTextChange(Sender: TObject);
    procedure butColourClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure butExitClick(Sender: TObject);
    procedure chkConnectClick(Sender: TObject);
  private
    procedure FetchSettings;
    procedure StoreSettings;
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

uses
  Demo5Settings;

{ TfrmMain }

procedure TfrmMain.FetchSettings;
begin
  Storage.LoadAll( Settings );
  edText.Text     := Settings.Text;
  panColour.Color := Settings.Colour;
end;

procedure TfrmMain.StoreSettings;
begin
  Storage.SaveAll( Settings );
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  FetchSettings;
end;

procedure TfrmMain.chkConnectClick(Sender: TObject);
begin
  if  chkConnect.Checked  then
    FetchSettings
  else
    //  Do we really want to load client side settings when we get disconnected ?
end;

procedure TfrmMain.butLoadClick(Sender: TObject);
begin
  FetchSettings;
end;

procedure TfrmMain.butSaveClick(Sender: TObject);
begin
  StoreSettings;
end;

procedure TfrmMain.edTextChange(Sender: TObject);
begin
  Settings.Text := edText.Text;
end;

procedure TfrmMain.butColourClick(Sender: TObject);
begin
  if  ColorDialog.Execute then
    begin
      Settings.Colour := ColorDialog.Color;
      panColour.Color := Settings.Colour;
    end;
end;

procedure TfrmMain.butExitClick(Sender: TObject);
begin
  Close;
end;

end.
